apiVersion: batch/v1
kind: CronJob
metadata:
  name: precios
  namespace: enphase
spec:
  concurrencyPolicy: Replace
  failedJobsHistoryLimit: 3
  jobTemplate:
    spec:
      template:
        spec:
          containers:
          - name: precios
            image: docker-registry:32000/precios:6
            imagePullPolicy: IfNotPresent
            env:
                    #            - name: TZ
                    #              value: "Europe/Madrid"
            - name: DB_HOST
              value: enphase-mysql
          restartPolicy: Never
          imagePullSecrets:
          - name: reg-cred-secret
  schedule: "0 1 * * *"
  successfulJobsHistoryLimit: 3

